<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Класс GridCategory</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#properties">Свойства</a> &#124;
<a href="classGridCategory-members.html">Полный список членов класса</a>  </div>
  <div class="headertitle">
<div class="title">Класс GridCategory</div>  </div>
</div><!--header-->
<div class="contents">

<p>Грид для отображения категорий каждой заметки  
 <a href="classGridCategory.html#details">Подробнее...</a></p>
<div class="dynheader">
Граф наследования:GridCategory:</div>
<div class="dyncontent">
<div class="center"><img src="classGridCategory__inherit__graph.png" border="0" usemap="#GridCategory_inherit__map" alt="Inheritance graph"/></div>
<map name="GridCategory_inherit__map" id="GridCategory_inherit__map">
<area shape="rect" title="Грид для отображения категорий каждой заметки" alt="" coords="5,80,113,107"/>
<area shape="rect" title=" " alt="" coords="12,5,107,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<div class="dynheader">
Граф связей класса GridCategory:</div>
<div class="dyncontent">
<div class="center"><img src="classGridCategory__coll__graph.png" border="0" usemap="#GridCategory_coll__map" alt="Collaboration graph"/></div>
<map name="GridCategory_coll__map" id="GridCategory_coll__map">
<area shape="rect" title="Грид для отображения категорий каждой заметки" alt="" coords="5,80,113,107"/>
<area shape="rect" title=" " alt="" coords="12,5,107,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Свойства</h2></td></tr>
<tr class="memitem:a14a12a43f93e349bd3b50d8aa6721f5c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCategory.html#a14a12a43f93e349bd3b50d8aa6721f5c">heightCat</a></td></tr>
<tr class="memdesc:a14a12a43f93e349bd3b50d8aa6721f5c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Высота категории  <a href="classGridCategory.html#a14a12a43f93e349bd3b50d8aa6721f5c">Подробнее...</a><br /></td></tr>
<tr class="separator:a14a12a43f93e349bd3b50d8aa6721f5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae925775a6c4c33a15a99bf29e00df480"><td class="memItemLeft" align="right" valign="top">real&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCategory.html#ae925775a6c4c33a15a99bf29e00df480">coefWidth</a></td></tr>
<tr class="memdesc:ae925775a6c4c33a15a99bf29e00df480"><td class="mdescLeft">&#160;</td><td class="mdescRight">Коэффициент ширины  <a href="classGridCategory.html#ae925775a6c4c33a15a99bf29e00df480">Подробнее...</a><br /></td></tr>
<tr class="separator:ae925775a6c4c33a15a99bf29e00df480"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34756d5addc278de25f6a70f860b5796"><td class="memItemLeft" align="right" valign="top">real&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCategory.html#a34756d5addc278de25f6a70f860b5796">coefHeight</a></td></tr>
<tr class="memdesc:a34756d5addc278de25f6a70f860b5796"><td class="mdescLeft">&#160;</td><td class="mdescRight">Коэффициент высоты  <a href="classGridCategory.html#a34756d5addc278de25f6a70f860b5796">Подробнее...</a><br /></td></tr>
<tr class="separator:a34756d5addc278de25f6a70f860b5796"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa859085fe298eb0b725e020b600ad08f"><td class="memItemLeft" align="right" valign="top">var&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCategory.html#aa859085fe298eb0b725e020b600ad08f">categories</a></td></tr>
<tr class="memdesc:aa859085fe298eb0b725e020b600ad08f"><td class="mdescLeft">&#160;</td><td class="mdescRight">категории для добавления  <a href="classGridCategory.html#aa859085fe298eb0b725e020b600ad08f">Подробнее...</a><br /></td></tr>
<tr class="separator:aa859085fe298eb0b725e020b600ad08f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Подробное описание</h2>
<div class="textblock"><p>Грид для отображения категорий каждой заметки </p>

<p class="definition">См. определение в файле <a class="el" href="GridCategory_8qml_source.html">GridCategory.qml</a> строка <a class="el" href="GridCategory_8qml_source.html#l00014">14</a></p>
</div><h2 class="groupheader">Полный список свойств</h2>
<a id="aa859085fe298eb0b725e020b600ad08f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa859085fe298eb0b725e020b600ad08f">&#9670;&nbsp;</a></span>categories</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">var GridCategory::categories</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>категории для добавления </p>

<p class="definition">См. определение в файле <a class="el" href="GridCategory_8qml_source.html">GridCategory.qml</a> строка <a class="el" href="GridCategory_8qml_source.html#l00023">23</a></p>

</div>
</div>
<a id="a34756d5addc278de25f6a70f860b5796"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34756d5addc278de25f6a70f860b5796">&#9670;&nbsp;</a></span>coefHeight</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real GridCategory::coefHeight</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Коэффициент высоты </p>

<p class="definition">См. определение в файле <a class="el" href="GridCategory_8qml_source.html">GridCategory.qml</a> строка <a class="el" href="GridCategory_8qml_source.html#l00021">21</a></p>

</div>
</div>
<a id="ae925775a6c4c33a15a99bf29e00df480"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae925775a6c4c33a15a99bf29e00df480">&#9670;&nbsp;</a></span>coefWidth</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real GridCategory::coefWidth</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Коэффициент ширины </p>

<p class="definition">См. определение в файле <a class="el" href="GridCategory_8qml_source.html">GridCategory.qml</a> строка <a class="el" href="GridCategory_8qml_source.html#l00019">19</a></p>

</div>
</div>
<a id="a14a12a43f93e349bd3b50d8aa6721f5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14a12a43f93e349bd3b50d8aa6721f5c">&#9670;&nbsp;</a></span>heightCat</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GridCategory::heightCat</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Высота категории </p>

<p class="definition">См. определение в файле <a class="el" href="GridCategory_8qml_source.html">GridCategory.qml</a> строка <a class="el" href="GridCategory_8qml_source.html#l00017">17</a></p>

</div>
</div>
<hr/>Объявления и описания членов класса находятся в файле:<ul>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/<a class="el" href="GridCategory_8qml_source.html">GridCategory.qml</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
